> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List All VSync States

> Use this endpoint to list all VSync states for Pix key types with optional filters.
Returns empty array [] if no VSync states match the criteria.
Note: This table has at most 5 records (one per Pix key type: CPF, CNPJ, EMAIL, PHONE, EVP).



## OpenAPI

````yaml en/openapi/v3-current/indirect-pix.yaml GET /v1/dict/vsync
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/vsync:
    get:
      tags:
        - Reconciliation API
      summary: List All VSync States
      description: >-
        Use this endpoint to list all VSync states for Pix key types with
        optional filters.

        Returns empty array [] if no VSync states match the criteria.

        Note: This table has at most 5 records (one per Pix key type: CPF, CNPJ,
        EMAIL, PHONE, EVP).
      parameters:
        - name: page
          in: query
          description: 'Page number for pagination (default: 1, minimum: 1)'
          schema:
            type: integer
        - name: limit
          in: query
          description: 'Maximum number of items per page (default: 5, range: 1-100)'
          schema:
            type: integer
        - name: key_type
          in: query
          description: 'Filter by key type: CPF, CNPJ, EMAIL, PHONE, EVP'
          schema:
            type: string
        - name: status
          in: query
          description: 'Filter by sync status: SYNCED, OUT_OF_SYNC, RECONCILING, ERROR'
          schema:
            type: string
        - name: sort_order
          in: query
          description: 'Sort direction: asc or desc (default: asc)'
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllVSyncStatesOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalError'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    GetAllVSyncStatesOutput:
      properties:
        items:
          description: Items is the array of VSync states for the current page
          items:
            $ref: '#/components/schemas/VSyncStateOutput'
          type: array
        limit:
          description: Limit is the number of items per page
          example: 10
          type: integer
        page:
          description: Page is the current page number
          example: 1
          type: integer
        total:
          description: Total is the total number of VSync states matching the filters
          example: 5
          type: integer
      type: object
    BadRequestError:
      properties:
        code:
          example: PIX-1000
          type: string
        message:
          example: >-
            Invalid input: missing fields, invalid format, EVP key with value,
            invalid UUID, key limit exceeded, or invalid key type
          type: string
        title:
          example: Bad Request
          type: string
      type: object
    InternalError:
      properties:
        code:
          example: PIX-2010
          type: string
        message:
          example: Internal server error
          type: string
        title:
          example: Internal Server Error
          type: string
      type: object
    VSyncStateOutput:
      properties:
        createdAt:
          description: |-
            CreatedAt is when this VSync state record was created
            Format: ISO 8601 UTC timestamp with Z suffix
          example: '2024-01-15T10:30:00Z'
          type: string
        id:
          description: |-
            ID is the unique identifier for this VSync state
            Format: UUID v7
          example: 0192c3a4-5b6d-7e8f-9a0b-1c2d3e4f5a6b
          type: string
        keyType:
          description: |-
            KeyType is the Pix key type for this VSync state
            Valid values: CPF, CNPJ, EMAIL, PHONE, EVP
          example: CPF
          type: string
        lastCidCreatedAt:
          description: |-
            LastCIDCreatedAt is the creation timestamp of the last CID processed
            Format: ISO 8601 UTC timestamp with Z suffix
          example: '2024-01-15T10:30:00Z'
          type: string
        lastFullReconciliation:
          description: >-
            LastFullReconciliation is when the last full reconciliation was
            performed

            Format: ISO 8601 UTC timestamp with Z suffix
          example: '2024-01-15T10:30:00Z'
          type: string
        lastSyncCheck:
          description: |-
            LastSyncCheck is when the last sync check was performed with BTG
            Format: ISO 8601 UTC timestamp with Z suffix
          example: '2024-01-15T10:30:00Z'
          type: string
        lastSyncStatus:
          description: |-
            LastSyncStatus is the current synchronization status
            Valid values: SYNCED, OUT_OF_SYNC, RECONCILING, ERROR
          example: SYNCED
          type: string
        lastSyncTimestamp:
          description: |-
            LastSyncTimestamp is when the local VSync was last calculated
            Format: ISO 8601 UTC timestamp with Z suffix
          example: '2024-01-15T10:30:00Z'
          type: string
        localVSync:
          description: LocalVSync is the local VSync value (64 hex characters)
          example: '0000000000000000000000000000000000000000000000000000000000000000'
          type: string
        updatedAt:
          description: |-
            UpdatedAt is when this VSync state record was last updated
            Format: ISO 8601 UTC timestamp with Z suffix
          example: '2024-01-15T10:30:00Z'
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````